<?php if (!defined('PLX_ROOT')) exit;
/**
 * Plugin plxAdminBar
 * @author Thomas Ingles
 * Thx FONTELLO
 **/
class plxAdminBar extends plxPlugin{
 public $default_lang = 'en';
 public $BASE_URL = '';#Gutuma fix (see admin-bar.php)
 public $href_plugin = '';
 public $show = FALSE;
 public function __construct($default_lang){
  $this->default_lang = (# defined('PLX_ADMIN') AND /* uncomment previous (remove #), on frontend, bar is in default site lang */
  !empty($_SESSION['admin_lang'])? $_SESSION['admin_lang']:
  (!empty($_SESSION['lang'])? $_SESSION['lang']: $default_lang)
  );#$_SESSION['admin_lang']:plx>=5.6


  parent::__construct($this->default_lang);# appel du constructeur de la classe plxPlugin (obligatoire) [avec la langue utilisateur]
  $this->href_plugin = (defined('PLX_GROOT') ? str_replace(PLX_ROOT,PLX_GROOT,PLX_PLUGINS) : PLX_PLUGINS).__CLASS__;#PLX_GROOT est pour le plugin gutuma
  $this->show = FALSE;
  if(defined('PLX_ADMIN')) $this->addHook('AdminAuthPrepend', 'AdminAuthPrepend');# 2.1.2 AdminAuthPrepend Only if logon attempt
  if(!empty($_SESSION['user'])){# 2.2.4 (front & back)
   $this->addHook('plxMotorGetUsers', 'plxMotorGetUsers');# 2.1.2 (front & back fix)
   if(!defined('PLX_ADMIN')){#Déclaration des hooks pour la partie visiteur seule #public_only
    $this->show = 'public';#in front
    $this->addHook('Index', 'Index');# 2.0.0 active si bonne clé du site (racine) et utilisateur parm + connecté
    $this->addHook('ThemeEndHead', 'ThemeEndHead');
    $this->addHook('ThemeEndBody', 'ThemeEndBody');
   }else{#Déclaration des hooks pour la partie admin seule #admin_only
    $this->show = 'admin';#in back
    $this->addHook('AdminTopEndHead', 'ThemeEndHead');# 2.0.0
    $this->addHook('AdminFootEndBody', 'ThemeEndBody');# 2.0.0
#Profil params
    $this->addHook('AdminPrepend', 'AdminPrepend');# 2.0.0
    $this->addHook('plxAdminEditProfil', 'plxAdminEditProfil');# 2.0.0
    $this->addHook('plxAdminEditUsersXml', 'plxAdminEditUsersXml');# 2.0.0
    $this->addHook('plxAdminEditUsersUpdate', 'plxAdminEditUsersUpdate');# 2.0.0
    $this->addHook('plxAdminEditUser', 'plxAdminEditUser');# 2.0.0
    $this->addHook('AdminProfilPrepend', 'AdminProfilPrepend');# 2.0.0
    $this->addHook('AdminProfil', 'AdminProfil');# 2.0.0
    $this->addHook('AdminUser', 'AdminProfil');# 2.0.0
    $this->addHook('AdminUsersFoot', 'AdminUsersFoot');# 2.0.0 (compatible 5.2 & 5.3)
   }
  }
 }
 public function AdminPrepend(){#V 2.0.0 Méthode appelée quand on du coté admin (affichage (admin) + MAJ parametres_users.php
  echo '<?php ';?>
  # parametres_users.php, update in mass : plxAdminBar, AdminPrepend
#fix changement de dossier media (plx 5.2) :: $_POST['selection'] is array
  if(isset($_POST['idUser']) AND isset($_POST['selection']) AND (strpos($_POST['selection'],'<?= __CLASS__ ?>') ==! FALSE)){
   $_POST['update'] = TRUE;
   $ab_mode = explode('_',$_POST['selection']);# _param_mode : adminBar mode selected : edit_users selector (parametres_users.php)
   foreach($_POST['idUser'] as $user_id){
    $plxAdmin->aUsers[$user_id][$ab_mode[1]] = $ab_mode[2];#V 2.2.0 # For update user
   }
   # Chargement des fichiers de langue en fonction du profil de l'utilisateur connecté : *sont chargées après le hook ;)
   loadLang(PLX_CORE.'lang/'.$lang.'/admin.php');
   loadLang(PLX_CORE.'lang/'.$lang.'/core.php');

   $plxAdmin->editUsers($_POST);# *NEED : L_SAVE_SUCCESSFUL
   header('Location: parametres_users.php');
   exit;
  }
  #verif et affichage de la barre
  if(isset($plxAdmin->aUsers[$_SESSION['user']]) AND isset($plxAdmin->aUsers[$_SESSION['user']]['<?= __CLASS__ ?>'])){
   $_SESSION['<?= __CLASS__ ?>'] = $plxAdmin->aUsers[$_SESSION['user']]['<?= __CLASS__ ?>'];#parm profil adminBar
   if($plxAdmin->aUsers[$_SESSION['user']]['ajax<?= __CLASS__ ?>']!='auto'){#V 2.2.0
    $_SESSION['ajax<?= __CLASS__ ?>'] = $plxAdmin->aUsers[$_SESSION['user']]['ajax<?= __CLASS__ ?>'];#V 2.2.0 #parm profil adminBar pluxml menu
   }
   else{#Émule #V 2.0.0 : automatic : follow toggle session
    if(!isset($_SESSION['ajax<?= __CLASS__ ?>'])){
     $_SESSION['ajax<?= __CLASS__ ?>'] = 'open';# 1st cnx : fix v 2.2.1 in plxMotorGetUsers hook (always called before this funk ???)
    }
   }
  }
?><?php
 }
 public function AdminUsersFoot(){#V 2.0.0 Méthode appelée quand on édite les utilisateurs du coté admin (parametres_users.php) : options au selecteur par js
  $arra =
 array(
 ''=>array('all'=>L_YES .' ('.L_ALL.')','admin'=>ltrim(L_ADMIN,'- '),'public'=>L_COMMENT_SITE_FIELD,'no'=>L_NO),
 'ajax'=>array('auto'=>$this->getLang('L_HIDE_MENU').' '.$this->getLang('L_AUTO'),'open'=>$this->getLang('L_HIDE_MENU').' '.L_NO,'close'=>$this->getLang('L_HIDE_MENU').' '.L_YES)
 );
?>
<script type="text/javascript">
var arr = [];
<?php
foreach($arra as $parm => $arr):#'' / ajax
 foreach($arr as $val => $txt):#all,admin,public,no
?>
arr.push(['_<?= $parm ?><?= __CLASS__ ?>_<?= $val ?>','<?= $txt?>']);
<?php
 endforeach;
endforeach;
?>
var sel = document.getElementById('id_selection');//select
for (var i = 0; i < arr.length; i++) {
 var opt = document.createElement('option');
 opt.value = arr[i][0];
 opt.innerHTML = '<?= ucfirst(__CLASS__)?> &gt; ' + arr[i][1];
 //sel.insertBefore(opt, sel.childNodes[0]);//reverse & In 1st pos
 sel.appendChild(opt);
}
</script>
<?php
 }
 public function plxAdminEditProfil(){#V 2.0.0 Méthode appelée quand on édite son profil du coté admin
  echo '<?php ';?>
  $this->aUsers[$_SESSION['user']]['<?= __CLASS__ ?>'] = $content['<?= __CLASS__ ?>'];
  $this->aUsers[$_SESSION['user']]['ajax<?= __CLASS__ ?>'] = $content['ajax<?= __CLASS__ ?>'];#V 2.2.0
?><?php
 }
 public function plxAdminEditUsersXml(){#V 2.0.0 Méthode appelée quand on edite son profil ou des utilisateurs coté admin
  echo '<?php ';#V2.2.4 ?>
  $xml .=
'		<<?= __CLASS__ ?>>'.plxUtils::strCheck($user['<?= __CLASS__ ?>']).'</<?= __CLASS__ ?>>
		<ajax<?= __CLASS__ ?>>'.plxUtils::strCheck($user['ajax<?= __CLASS__ ?>']).'</ajax<?= __CLASS__ ?>>
';
?><?php
 }
 public function plxAdminEditUsersUpdate(){#V 2.0.0 Méthode appelée quand on sauve les utilisateurs : coté admin
  echo '<?php ';?>
  # user(s) / profil basic
  $this->aUsers[$user_id]['<?= __CLASS__ ?>'] = (isset($this->aUsers[$user_id]['<?= __CLASS__ ?>']) ? $this->aUsers[$user_id]['<?= __CLASS__ ?>'] : 'all');
  $this->aUsers[$user_id]['ajax<?= __CLASS__ ?>'] = (isset($this->aUsers[$user_id]['ajax<?= __CLASS__ ?>']) ? $this->aUsers[$user_id]['ajax<?= __CLASS__ ?>'] : null);#V 2.2.0
?><?php
 }
 public function plxAdminEditUser(){#V 2.0.0 Méthode appelée quand on édite un utilisateur : coté admin
  echo '<?php ';?>
  $this->aUsers[$content['id']]['<?= __CLASS__ ?>'] = 'all';#1st time : admin, public or no
  $this->aUsers[$content['id']]['ajax<?= __CLASS__ ?>'] = 'auto';#V 2.2.0
  if($this->aUsers[$content['id']]['active']){
   $this->aUsers[$content['id']]['<?= __CLASS__ ?>'] = isset($content['<?= __CLASS__ ?>'])?$content['<?= __CLASS__ ?>']:'all';
   $this->aUsers[$content['id']]['ajax<?= __CLASS__ ?>'] = isset($content['ajax<?= __CLASS__ ?>'])?($this->aUsers[$content['id']]['ajax<?= __CLASS__ ?>']!='auto'?$this->aUsers[$content['id']]['ajax<?= __CLASS__ ?>']:$_SESSION['ajax<?= __CLASS__ ?>']) : 'auto';#V 2.2.0
   if($content['id'] == $_SESSION['user'])
    $_SESSION['<?= __CLASS__ ?>'] = $this->aUsers[$content['id']]['<?= __CLASS__ ?>'];
    $_SESSION['ajax<?= __CLASS__ ?>'] = $this->aUsers[$content['id']]['ajax<?= __CLASS__ ?>'];#V 2.2.0
  }
?><?php
 }
 public function plxMotorGetUsers(){#V 2.0.0 Méthode appelée quand on est du coté admin & public
  if(!$this->show) return;# V 2.1.2 fix²speed
  echo '<?php ';?>
  $this->aUsers[$number]['<?= __CLASS__ ?>']='all';#all,public,admin,no
  $this->aUsers[$number]['ajax<?= __CLASS__ ?>']='auto';#V 2.2.0 : null (open) or close : admin pluxml menu
  if($this->aUsers[$number]['active'] AND isset($iTags['<?= __CLASS__ ?>'][$i])){
   $this->aUsers[$number]['<?= __CLASS__ ?>'] = plxUtils::getValue($values[$iTags['<?= __CLASS__ ?>'][$i]]['value']);
   if($number == $_SESSION['user']){
    $_SESSION['<?= __CLASS__ ?>'] = $this->aUsers[$number]['<?= __CLASS__ ?>'];
   }
   if(isset($iTags['ajax<?= __CLASS__ ?>'][$i])){
    $this->aUsers[$number]['ajax<?= __CLASS__ ?>'] = plxUtils::getValue($values[$iTags['ajax<?= __CLASS__ ?>'][$i]]['value']);
    if($number == $_SESSION['user'])
     $_SESSION['ajax<?= __CLASS__ ?>'] = $this->aUsers[$number]['ajax<?= __CLASS__ ?>']!='auto'?
      $this->aUsers[$number]['ajax<?= __CLASS__ ?>']:
       (isset($_SESSION['ajax<?= __CLASS__ ?>'])?$_SESSION['ajax<?= __CLASS__ ?>']:'open');#V 2.2.1 : Isset SESSION, its for 1st connection on admin panel! Notice Fix :)
   }
  }
?><?php
 }
 public function AdminAuthPrepend(){#V 2.0.0 Pour être sur qu'il s'agit du bon site (MULTIPLE PLUXML IN SAME HOST) * @author Thomas Ingles
  echo '<?php '; ?>
  if(!empty($_POST)){#On login attempt only ::: $_POST['login'] $_POST['password']
   $_SESSION['racine<?= __CLASS__?>'] = $plxAdmin->aConf['racine'];
  }
 ?><?php
 }
 public function AdminProfilPrepend(){#V 2.0.0 Méthode appelée quand on édite le profil coté admin et ajax (session menu toggler)
  echo '<?php ';?>
  if(isset($_GET['ajax<?= __CLASS__ ?>'])){#Ajax PHP, JS ou ...
   header('Pragma: no-cache');
   header('Content-Type: application/javascript');
   $_SESSION['ajax<?= __CLASS__ ?>'] = $_GET['ajax<?= __CLASS__ ?>'];#adapde le toggler (menu ouvert ou fermé)
   exit();
  }
  if(isset($_POST['<?= __CLASS__ ?>']))
   $_profil['<?= __CLASS__ ?>'] = $_POST['<?= __CLASS__ ?>'];
  if(isset($_POST['ajax<?= __CLASS__ ?>']))#V 2.2.0
   $_profil['ajax<?= __CLASS__ ?>'] = $_POST['ajax<?= __CLASS__ ?>'];#V 2.2.0
?><?php
 }
 public function AdminProfil(){#V 2.0.0 Hook pour profil.php et user.php + AdminUser
?><img style="vertical-align:bottom" src="<?= $this->href_plugin ?>/icon.png">
	<fieldset class="withlabel">
		<div class="grid">
			<div class="field col sml-6 med-4 lrg-2"><label for="id_<?= __CLASS__ ?>"><?= ucfirst(__CLASS__) ?>&nbsp;:</label>

<?= '<?php ';?>
  $plxabVal = (isset($id) ? $plxAdmin->aUsers[$id]['<?= __CLASS__ ?>'] : $_profil['<?= __CLASS__ ?>']);
  $plxajaxVal = (isset($id) ? $plxAdmin->aUsers[$id]['ajax<?= __CLASS__ ?>'] : $_profil['ajax<?= __CLASS__ ?>']);#V 2.2.0
  plxUtils::printSelect('<?= __CLASS__ ?>', array('all'=>L_YES.' ('.L_ALL.')','admin'=>ltrim(L_ADMIN,'- '),'public'=>L_COMMENT_SITE_FIELD,'no'=>L_NO),$plxabVal);
#V 2.2.0 ?>
			</div>
			<div class="field col sml-6 med-8 lrg-10"><label for="id_ajax<?= __CLASS__ ?>"><?php $this->lang('L_HIDE_MENU')?>&nbsp;:</label>
<?= '<?php ';?>
        plxUtils::printSelect('ajax<?= __CLASS__ ?>', array('auto' => '<?php $this->lang('L_AUTO') ?>', 'close' => L_YES,null => L_NO),$plxajaxVal);
?>
			</div>
		</div>
	</fieldset>
<?php
 }
 public function adminCss(){#V 2.0.0 Méthode appelée du coté admin
?>
	<link id="plxadminbar-nocache-css" defer rel="stylesheet" type="text/css" href="<?= $this->href_plugin ?>/css/admin-nocache.css?v=211" media="screen" />
<?php
 }
 public function adminJs($plxAdmin){#V 2.0.0 Méthode qui affiche le javascript pour déplacer la bare en premiere pos <body[0]> coté admin
?>
	<script type="text/javascript">
	if(window.name == '<?= L_MEDIAS_TITLE ?>'){//if is media manager popup
		document.getElementById('plxadminbar').style.display = 'none';//hide bar
		new Array('-nocache','-icon','').forEach(function(e){//plxadminbar links
			var ab_css = document.getElementById('plxadminbar'+e+'-css');//link id
			ab_css.parentNode.removeChild(ab_css);//remove
		});
	}
	function toggleMenu_ab(){//toggle admin pluxml main menu (aside)
		var toog = document.getElementById('plx-admin-bar-toggle-menu');
		var open = (toog.className.search("close") != -1);
<?php if(isset($plxAdmin->version) && $plxAdmin->version != '5.4'){//plx5.3.1 et en dessous ?>
		var menu = document.getElementById('sidebar');
		menu.style.display = menu.style.display=="none"?"block":"none";
		document.body.style.padding = menu.style.display=="none"?"0":"";
		//document.getElementById('content').style.padding = menu.style.display=="none"?"0":"0";
<?php }else{ ?>
		var menu = document.getElementsByClassName('aside');
		var plug = document.getElementsByTagName('section');
		var abar = document.getElementsByClassName('action-bar');
		var inav = document.getElementById('nav');//checkbox menu
		inav.checked = !open?false:true;
		abar[0].classList.toggle("fullwidth");
		if(abar[1])abar[1].classList.toggle("fullwidth");//upload medias
		plug[0].className = open?"section col sml-12 med-9 med-offset-3 lrg-10 lrg-offset-2":"section col sml-12 offsetfix plx-<?= str_replace('.','',$plxAdmin->aConf['version']) ?>";
		menu[0].style.display = open?"block":"none";
<?php } ?>
		toog.classList.toggle("close");
		var ajax_ab = document.createElement('SCRIPT');
		ajax_ab.id='plx-admin-bar-profil-ajax';
		document.body.appendChild(ajax_ab);
		ajax_ab.src='<?= $this->BASE_URL ?>profil.php?ajax<?= __CLASS__ ?>='+(open?'open':'close')<?= $_SESSION['ajax'.__CLASS__] != 'auto' ? '' : "+'&d='+ new Date().getTime()" ?> ;//.getMilliseconds()
		window.setTimeout(function(){ajax_ab.parentNode.removeChild(ajax_ab)},111);
	}
	function <?= __CLASS__ ?>Init(){//init (new is's aside menu)
		var unem = document.getElementById('plx-admin-bar-site-name');
		var menu = unem.getElementsByTagName('LI');
		for(var m=0;m < menu.length-1;m++){
			var plg_mnu = (menu[m].id.search(/mnu_/)!==-1);
			if(plg_mnu) menu[m].id = '<?= __CLASS__ ?>_'+menu[m].id;//new mnu_ plugins menu id's
		}
<?= (@$_SESSION['ajax'.__CLASS__ ] != 'close' ? '' : '		toggleMenu_ab();');#autoclose #indented ?>
	}
	<?= __CLASS__ ?>Init();
	</script>
<?php
  #$this->publicJs();
 }
 public function publicJs(){#V 2.0.0 Méthode qui affiche le javascript pour déplacer la bare en premiere pos <body[0]> coté public
?>
	<script type="text/javascript">
		var plxadminbar = document.getElementById('plxadminbar');
		document.body.id = !document.body.id ? 'indexadminbar': document.body.id;
		var b = document.getElementById(document.body.id);
		b.insertBefore(plxadminbar, b.childNodes[0]);// Insert <div#plxadminbar> before the first child of <body>
	</script>
<?php
 }
 public function searchForm($mode='public',$plxMotor){#V 2.0.0 + Moteur De Recherche plxMySearch
  $plxPluginName = 'plxMySearch';
  ${$plxPluginName} = @$plxMotor->plxPlugins->aPlugins[$plxPluginName];
  if(${$plxPluginName}){
   $var = array();
   $var['mnuName'] =  ${$plxPluginName}->getParam('mnuName_'.$this->default_lang);
   $var['placeholder'] = ${$plxPluginName}->getParam('placeholder_'.$this->default_lang);
   $var['frmLibButton'] =  ${$plxPluginName}->getParam('frmLibButton_'.$this->default_lang);
   $var['checkboxes'] = ${$plxPluginName}->getParam('checkboxes_'.$this->default_lang);
   # initialisation des variables communes à chaque langue
   $var['url'] = $plxMotor->urlRewrite('?'.(isset(${$plxPluginName}->lang)?${$plxPluginName}->lang:'').${$plxPluginName}->getParam('url'));
   $var['method'] =  ${$plxPluginName}->getParam('method');
# <!-- MySearch Form -->
?>
        <form action="<?= $var['url']?>" id="adminbarsearch" method="<?= $var['method']?>" name="<?= $var['mnuName']?>">
          <input class="adminbar-input" id="adminbar-search" maxlength="150" name="searchfield" type="text" value="<?= @$_REQUEST['searchfield'] ?>" placeholder="<?= $var['placeholder']?>"/><label class="screen-reader-text" for="adminbar-search"><?= $var['frmLibButton']?></label>
          <input class="adminbar-button" type="submit" value="<?= $var['frmLibButton']?>" />&nbsp;
        </form>
<?php
  }
 }
 public function checkProfil($profil) {#V 2.2.3 Méthode qui controle l'accès à une page en fonction du profil de l'utilisateur connecté #Inspiré de plxAdmin 5.7
  $args = func_get_args();
  $args=$args[0];
  if(is_array($args))
   return in_array($_SESSION['profil'], $args);
  else
   return $_SESSION['profil']==$profil;
 }
 public function OnActivate(){#V 2.0.0 Méthode appelée quand on active le plugin
  $plxMotor = plxMotor::getInstance();
  $_SESSION['racine'.__CLASS__] = $plxMotor->aConf['racine'];#clé
 }
 public function OnDeactivate(){#V 2.0.0 Méthode appelée quand on desactive le plugin
  unset($_SESSION['racine'.__CLASS__]);#clé supprimée
 }
 public function OnUpdate(){#V 2.0.0 Méthode appelée quand on update le plugin (si fichier update présent a la racine du plugin)
  $plxMotor = plxMotor::getInstance();
  $_SESSION['racine'.__CLASS__] = $plxMotor->aConf['racine'];#clé
 }
 public function Index(){# V 2.0.0 Pour être sur qu'il s'agit du bon site (MULTIPLE PLUXML IN SAME HOST) * @author Thomas Ingles
  if(!isset($_SESSION[__CLASS__]) OR ($_SESSION[__CLASS__] != 'admin' OR $_SESSION[__CLASS__] != 'no')){
   echo '<?php '; ?>
   if(isset($_SESSION['racine<?= __CLASS__ ?>'])){
    if(isset($_SESSION['profil']) AND ($plxMotor->aConf['racine'] == $_SESSION['racine<?= __CLASS__ ?>'])){#clé
     if(isset($_SESSION['save<?= __CLASS__ ?>'])){
      $_SESSION['<?= __CLASS__ ?>'] = $_SESSION['save<?= __CLASS__ ?>'];#$plxMotor->aUsers[$_SESSION['user']]['<?= __CLASS__ ?>'];
     }
    }
    else{#autres pluxmls on same host
     $_SESSION['save<?= __CLASS__ ?>'] = $_SESSION['<?= __CLASS__ ?>'];
     $_SESSION['<?= __CLASS__ ?>'] = 'no';
    }
   }
?><?php
  }
 }
 public function ThemeEndHead(){
  if(!isset($_SESSION[__CLASS__]) OR $_SESSION[__CLASS__]=='no') return;# if(!$this->show) return;
  if($this->show=='public' AND $_SESSION[__CLASS__]=='admin') return;#V 2.0.0 admin-nocache.css (retouches les tops)
  if($this->show=='admin' AND $_SESSION[__CLASS__]=='public') return;#V 2.0.0 admin-nocache.css (retouches les tops)
?>
<link id="plxadminbar-icon-css" defer rel="stylesheet" type="text/css" href="<?= $this->href_plugin ?>/css/dashicons.css?v=211" media="screen" />
<link id="plxadminbar-css" defer rel="stylesheet" type="text/css" href="<?= $this->href_plugin ?>/css/admin-bar.css?v=224" media="screen,print" />
<?php
  if($this->show=='admin') $this->adminCss();#V 2.0.0 admin-nocache.css (retouches les tops)
 }
 public function ThemeEndBody(){
  if(!isset($_SESSION[__CLASS__]) OR $_SESSION[__CLASS__]=='no') return;#if(!$this->show) return;
  if($this->show=='public' AND $_SESSION[__CLASS__]=='admin') return;#V 2.0.0 admin-nocache.css (retouches les tops)
  if($this->show=='admin' AND $_SESSION[__CLASS__]=='public') return;#V 2.0.0 admin-nocache.css (retouches les tops)
?>
<script type="text/javascript" id="plxAdminBar" src="<?= $this->href_plugin ?>/js/plxAdminBar.js?v=210"></script>
<?php
  # goodInstance V2.2.4
  echo '<?php '; ?>
  if(<?php echo intval($this->show=='public'); ?>){
   $plxAdmin = $plxMotor;
  }
  $plxAdminBar = $plxAdmin->plxPlugins->aPlugins['<?php echo __CLASS__ ?>'];
  #Notice: Constant L_MENU already defined in PluXml/core/lang/en/admin.php on line 2
  if(!defined('L_MENU')) loadLang(PLX_CORE.'lang/<?php echo $this->default_lang ?>/admin.php');
  include_once(PLX_PLUGINS . '<?php echo __CLASS__ ?>/admin-bar.php');
  if($plxAdminBar->show=='admin')#defined('PLX_ADMIN'))
   $plxAdminBar->adminJs($plxAdmin);#V2.0.0 : [Admin] toggle menu (js)
  else
   $plxAdminBar->publicJs();#V2.0.0 : [Public] on la deplace au début de body (js)
?><?php
 }#ThemeEndBody
}
